跳转到主要内容
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
trigger
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/trigger \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"string","config":null,"type":"recordCreated"}'
{}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填
workflowId
string
必填

请求体

application/json
type
enum<string>
必填

type of trigger

可用选项:
recordCreated,
recordUpdated,
recordCreatedOrUpdated,
recordMatchesConditions,
buttonClick,
formSubmitted,
scheduledTime,
webhook
name
string

name of the node

description
string

description of the node

config
any | null

node configuration

响应

201 - application/json

Successful created

The response is of type object.

Last modified on March 5, 2026